Overview
POST
/personal/jobspersonalCreate jobs
Create a record in jobs.
Auth: bearerAuth — calls run as the authenticated user.
Request body
application/json · optional
- deletedAtoptionalstring?
- ecosystemIdoptionalstring
- companyoptionalstring
- roleoptionalstring
- startDateoptionalstring
- endDateoptionalstring?
- locationoptionalstring
- descriptionoptionalstring
- isCurrentoptionalboolean
Example
{
"deletedAt": "string",
"ecosystemId": "string",
"company": "string",
"role": "string",
"startDate": "string",
"endDate": "string",
"location": "string",
"description": "string",
"isCurrent": true
}Responses
201
jobs
- idstring
- customerIdstring
- deletedAtstring?
- ecosystemIdstring
- companystring
- rolestring
- startDatestring
- endDatestring?
- locationstring
- descriptionstring
- isCurrentboolean
- createdAtstring
- updatedAtstring
Example
{
"id": "string",
"customerId": "string",
"deletedAt": "string",
"ecosystemId": "string",
"company": "string",
"role": "string",
"startDate": "string",
"endDate": "string",
"location": "string",
"description": "string",
"isCurrent": true,
"createdAt": "string",
"updatedAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/personal/jobs" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"deletedAt": "string",
"ecosystemId": "string",
"company": "string",
"role": "string",
"startDate": "string",
"endDate": "string",
"location": "string",
"description": "string",
"isCurrent": true
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/personal/jobs", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"deletedAt\": \"string\",\n \"ecosystemId\": \"string\",\n \"company\": \"string\",\n \"role\": \"string\",\n \"startDate\": \"string\",\n \"endDate\": \"string\",\n \"location\": \"string\",\n \"description\": \"string\",\n \"isCurrent\": true\n}",
});
const data = await res.json();